function [data, ind] = delnan(data)
%[data, ind] = DELNAN(data)
%
%Remove NaN values from data
%
%Input:
%  DATA - original data
%
%Output:
%  DATA - data as a column vector with NaN values removed
%  IND  - indices of non-NaN values
%
%See also:
%  DELNANROWS
%
%Radim Halir, Charles University Prague, halir@ms.mff.cuni.cz
%Created: 5.1.1997
%Last modified: 26.3.1997

ind = ~isnan(data);
data = data(ind);
