function ImPoints = translateThem( SPoints, DLTm )
%DEVELOPMENT PHASE
%
% ImPoints = translateThem( SPoints, DLTm )
%
% SPoints - 9x2 matrix of the 9 scene points coordinates x, y
% DLTm - 3x3 CDLT matrix
%
% ImPoints - 9x2 image points coordinates
%
% computes the image points coordinates from the scene points using CDLT matrix
%

hpoint = zeros( 3, 1 );
hpoint( 3, 1 ) = 1;
hipoint = zeros( 3, 1 );

for i = 1:9
hpoint( 1, 1 ) = SPoints( i, 1 );
hpoint( 2, 1 ) = SPoints( i, 2 );
hipoint = DLTm*hpoint;
ImPoints( i, 1 ) = hipoint( 1, 1 ) / hipoint( 3, 1);
ImPoints( i, 2 ) = hipoint( 2, 1 ) / hipoint( 3, 1);
endfor

