function diffs = vdiff(u, v)
%diffs = VDIFF(u, v)
%
%Get angle differences between vectors
%
%Input:
%  U, V  - vectors (matrices of the size N x M, where N is the number of
%          vectors and M is their dimension)
%
%Output:
%  DIFFS - angle differences between vectors in degrees (0-90)
%
%See also:
%  VANGLE
%
%Radim Halir, Charles University Prague, halir@ms.mff.cuni.cz
%Created: 2.7.1997
%Last modified 2.7.1997

cosangles = sum(u .* v, 2) ./ (vsize(u) .* vsize(v));
diffs = acos(abs(cosangles)) / pi * 180;
